@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@500;700&family=poppins:wght@300;400;600&display=swap');
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    background: linear-gradient(135deg, #050816, #0b1437);
    color:white;
    font-family: 'Poppins', sans-serif;
    overflow-x:hidden;
}
nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 25px 50px;
    position:fixed;
    top:0;
    left:0;
    width:100%;
    background:rgba(5,8,22,0.6);
    backdrop-filter:blur(10px);
    box-shadow:0 6px 20px rgba(0,0,0,0.3);
    z-index:1000;
}
nav ul{
    display: flex;
    gap:35px;
    list-style: none;
}
nav a{
    color:white;
    text-decoration:none;
    font-size:19px;
    font-weight:500;
    transition:.3s;
}
nav a:hover{
    color:#64b5ff;
}
.logo{
    color:#64b5ff;
    font-size:27px;
    letter-spacing:1.5px;
    text-shadow:
        0 0 10px #64b5ff,
        0 0 10px #64b5ff;
    animation: glow 2s infinite alternate;
}
.hero{
    height: 100vh;
    display: flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    text-align:center;
    background:
        radial-gradient(
            circle at center,
            rgba(100,181,255,0.12),
            transparent 50%
    );
    position:relative;
}
#about{
    min-height:100vh;
    padding: 120px 10%;
    display:flex;
    flex-direction:column;
    justify-content:center;
}
#about h2{
    font-size:48px;
    color:#64b5ff;
    margin-bottom:30px;
    text-shadow:0 0 15px rgba(100,181,255,0.35);
}
#about p{
    max-width:600px;
    font-size:18px;
    line-height:1.8;
    color:#b8c7ff;
    margin-bottom:20px;
}
.mouse-glow{
    position:fixed;
    width:150px;
    height:150px;
    background:#fefefe;
    filter:blur(100px);
    opacity:0.3;
    border-radius:50%;
    z-index:0;
    pointer-events:none;
    transform:translate(-50%, -50%);
    transition: opacity .3s ease;
}
.stars{
    position:absolute;
    inset:0;
    overflow:hidden;
    z-index:-0;
    pointer-events:none;
}
.star{
    position:absolute;
    width:2px;
    height:2px;
    background:white;
    border-radius:50%;
    opacity:0.7;
    animation:twinkle 3s infinite ease-in-out;
}
.hero::before{
        content:'';
        position:absolute;
        width:500px;
        height:500px;
        background: #2463ff;
        filter:blur(179px);
        opacity:0.15;
        border-radius:50%;
        z-index:-1;
}

.hero h1{
    font-size: 71px;
    color:#64b5ff;
    letter-spacing: 4px;
    text-shadow:
        0 0 10px #64b5ff,
        0 0 20px #64b5ff,
}

.hero h3{
    font-size: 34px;
    font-weight:300;
}
.hero p{
    margin-top: 20px;
    font-size:20px;
    color: #b8c7ff;
    max-width:700px;
}
.hero > *:not(.stars):not(.mouse-glow){
    position:relative;
    z-index:1;
}
.explore-btn{
    margin-top: 35px;
    display:inline-block;
    text-decoration:none;
    padding: 15px 40px;
    background: #46b5ff;
    box-shadow: 0 0 20px rgba(133, 247, 255, 0.729);
    color:white;
    border:none;
    border-radius: 24px;
    font-size: 18px;
    cursor:pointer;
    transition:
        background .3s,
        transform .3s,
        box-shadow .3s;
}
.explore-btn:hover{
    background:rgba(100,181,255,0.15);
    border:1px solid rgba(100,181,255,0.5);
    transform:translateY(-4px) scale(1.1);
    box-shadow:0 0 20px rgba(141, 48, 255, 0.682);
    backdrop-filter:blur(10px);
}
@keyframes glow{
    from{
        text-shadow:
        0 0 10px #64b5ff,
        0 0 20px #64b5ff;
        opacity:0.6;
    }
    to{
        text-shadow:
        0 0 20px #64b5ff,
        0 0 50px #64b5ff;
        opacity:1;
    }
}
@keyframes twinkle{
    0%{
        opacity:0.2;
    }
    50%{
        opacity:1;
    }
    100%{
        opacity:0.2;
    }
}
#projects{
    min-height:100vh;
    padding:120px 10%;
    display:flex;
    flex-direction:column;
    justify-content:center;
}
#projects h2{
    font-size:48px;
    color:#64b5ff;
    margin-bottom:50px;
    text-shadow:0 0 15px rgba(100,181,255,0.35);
}
.project-card{
    width:100%;
    max-width:700px;
    padding:35px;
    background:rgba(9, 123, 194, 0.4);
    border:1px solid rgba(245, 249, 244, 0.1);
    border-radius: 20px;
    backdrop-filter:blur(10px); 
}
.project-card h3{
    font-size:28px;
    color:white;
    margin-bottom:15px;
}
.project-card p{
    color:#b8c7ff;
    line-height: 1.7;
    margin-bottom:20px;
}
.project-tech{
    font-size: 14px;
    color:#64b5ff !important;
    letter-spacing:1px;
}
.project-link{
    color: #64b5ff;
    text-decoration:none;
    font-weight:600;
    transition:color 0.3s ease;
}
.project-link{
    color: whitesmoke;
}
.projects-grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap:30px;
}
.project-card{
    transition:
        transform 0.3s ease,
        border-color 0.3s ease,
        background 0.3s ease;
}
.project-card:hover{
    transform:translateY(-6px);
    border-color: rgba(100 181, 255, 0.4);
    background: rgba(3, 252, 252, 0.26)
}
@media (max-width:768px){
    .projects-grid{
        grid-template-columns:1fr;
    }
    nav{
        padding:20px 15px;
    }
    nav ul{
        gap:10px;
    }
    nav a{
        font-size:12px;
    }
    .logo{
        font-size:20px;
    }
    .hero h1{
        font-size:42px;
        letter-spacing:2px;
    }
    .hero p{
        font-size:16px;
        padding:0 20px;
    }
    button{
        padding:13px 30px;
        font-size: 16px;
    }
    #about{
        padding:100px 25px;
    }
    #about h2{
        font-size:38px;
    }
    #about p{
        font-size:16px;
    }
    #projects{
        padding:100px 25px;
    }
    #about h2{
        font-size:38px;
    }
}
